# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::DecoderParams Class Reference

Parameters for the decoding process. More...

`#include <common.h>`

Inheritance diagram for dirac::DecoderParams:

[legend]
Collaboration diagram for dirac::DecoderParams:

[legend]

List of all members.

## Public Member Functions

- DecoderParams (const VideoFormat &video_format=VIDEO_FORMAT_CIF, FrameType ftype=INTRA_FRAME, unsigned int num_refs=0, bool set_defaults=false)
    Default constructor.

## Detailed Description

Parameters for the decoding process. Derived from CodecParams.

## Constructor & Destructor Documentation

dirac::DecoderParams::DecoderParams | ( | const VideoFormat & | video_format = `VIDEO_FORMAT_CIF`,
|  | FrameType | ftype = `INTRA_FRAME`,
|  | unsigned int | num_refs = `0`,
|  | bool | set_defaults = `false` |
| ) |  |  |

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.